org.modeshape.jcr.query

## Class PseudoColumns

- java.lang.Object
- - org.modeshape.jcr.query.PseudoColumns

-     public final class PseudoColumns
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PseudoColumns.Info`
    `static class` | `PseudoColumns.Name`
    `static class` | `PseudoColumns.QualifiedName`
    `static class` | `PseudoColumns.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Map<Name,PseudoColumns.Info>` | `PSEUDO_COLUMN_INFOS`
    `protected static Map<Name,PseudoColumns.Info>` | `PSEUDO_COLUMN_INFOS_WITHOUT_UUID`
    `protected static Set<String>` | `PSEUDO_COLUMNS`
    `protected static Set<String>` | `PSEUDO_COLUMNS_WITHOUT_UUID`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Collection<PseudoColumns.Info>` | `allColumns()`
    `static Collection<PseudoColumns.Info>` | `allColumnsExceptJcrUuid()`
    `static Set<String>` | `allNames()`
    `static Set<String>` | `allNamesExceptJcrUuid()`
    `static boolean` | `contains(Name columnName, boolean includeJcrUuid)`
    `static boolean` | `contains(String columnName, boolean includeJcrUuid)`
    `static boolean` | `isDepth(Name columnName)`
    `static boolean` | `isDepth(String columnName)`
    `static boolean` | `isId(Name columnName)`
    `static boolean` | `isId(String columnName)`
    `static boolean` | `isLocalName(Name columnName)`
    `static boolean` | `isLocalName(String columnName)`
    `static boolean` | `isName(Name columnName)`
    `static boolean` | `isName(String columnName)`
    `static boolean` | `isPath(Name columnName)`
    `static boolean` | `isPath(String columnName)`
    `static boolean` | `isScore(Name columnName)`
    `static boolean` | `isScore(String columnName)`
    `static boolean` | `isUuid(Name columnName)`
    `static boolean` | `isUuid(String columnName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PSEUDO_COLUMNS

          protected static final Set<String> PSEUDO_COLUMNS

    - #### PSEUDO_COLUMNS_WITHOUT_UUID

          protected static final Set<String> PSEUDO_COLUMNS_WITHOUT_UUID

    - #### PSEUDO_COLUMN_INFOS

          protected static final Map<Name,PseudoColumns.Info> PSEUDO_COLUMN_INFOS

    - #### PSEUDO_COLUMN_INFOS_WITHOUT_UUID

          protected static final Map<Name,PseudoColumns.Info> PSEUDO_COLUMN_INFOS_WITHOUT_UUID

  - ### Method Detail

    - #### allNames

          public static Set<String> allNames()

    - #### allNamesExceptJcrUuid

          public static Set<String> allNamesExceptJcrUuid()

    - #### allColumns

          public static Collection<PseudoColumns.Info> allColumns()

    - #### allColumnsExceptJcrUuid

          public static Collection<PseudoColumns.Info> allColumnsExceptJcrUuid()

    - #### contains

          public static boolean contains(String columnName,
                         boolean includeJcrUuid)

    - #### contains

          public static boolean contains(Name columnName,
                         boolean includeJcrUuid)

    - #### isPath

          public static boolean isPath(String columnName)

    - #### isPath

          public static boolean isPath(Name columnName)

    - #### isName

          public static boolean isName(String columnName)

    - #### isName

          public static boolean isName(Name columnName)

    - #### isUuid

          public static boolean isUuid(String columnName)

    - #### isUuid

          public static boolean isUuid(Name columnName)

    - #### isScore

          public static boolean isScore(String columnName)

    - #### isScore

          public static boolean isScore(Name columnName)

    - #### isLocalName

          public static boolean isLocalName(String columnName)

    - #### isLocalName

          public static boolean isLocalName(Name columnName)

    - #### isDepth

          public static boolean isDepth(String columnName)

    - #### isDepth

          public static boolean isDepth(Name columnName)

    - #### isId

          public static boolean isId(String columnName)

    - #### isId

          public static boolean isId(Name columnName)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.